<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Users with sectors - My ASP.NET Application</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-6">

                <form action="/Home/Save" class="needs-validation" method="post" novalidate="novalidate">
                    <input name="__RequestVerificationToken" type="hidden" value="Ov32LQstMtml2MwpvxUpvbZiA33gbvP0NAF1tAMIYbAfFMyiTUSu9AnzmCbhCIvcR0Q8ZSRNs0veFJd8U9-yRdn2Nr-srGI_zWVCUfG2WFc1" />
                    <input data-val="true" data-val-number="The field AppUserId must be a number." data-val-required="The AppUserId field is required." id="AppUserId" name="AppUserId" type="hidden" value="0" />
                    <h4>Please enter your name and pick the Sectors you are currently involved in.</h4>
                    <hr />
                    <div class="form-group">
                        <input class="form-control" data-val="true" data-val-required="Enter User Name" id="UserName" name="UserName" placeholder="Name" required="required" type="text" value="" />
                        <span class="field-validation-valid text-danger" data-valmsg-for="UserName" data-valmsg-replace="true"></span>
                        <div class="valid-feedback">
                            Looks good!
                        </div>
                        <div class="invalid-feedback">
                            Enter name!
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="SectorSelectValues">Sectors</label>
                        <select class="form-control" data-val="true" data-val-required="Choose at least one Sector" id="SectorSelectValues" multiple="multiple" name="SectorSelectValues" required="required" size="10">
                            <option value="1">Manufacturing</option>
                            <option value="12">&#160;&#160;&#160;&#160;Furniture</option>
                            <option value="13">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Bathroom/sauna </option>
                            <option value="14">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Bedroom</option>
                            <option value="15">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Children’s room </option>
                            <option value="16">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Kitchen </option>
                            <option value="17">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Living room </option>
                            <option value="18">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Office</option>
                            <option value="19">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Other (Furniture)</option>
                            <option value="20">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Outdoor </option>
                            <option value="21">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Project furniture</option>
                            <option value="2">&#160;&#160;&#160;&#160;Construction materials</option>
                            <option value="22">&#160;&#160;&#160;&#160;Machinery</option>
                            <option value="23">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Machinery components</option>
                            <option value="24">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Machinery equipment/tools</option>
                            <option value="25">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Manufacture of machinery </option>
                            <option value="26">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Maritime</option>
                            <option value="27">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Aluminium and steel workboats </option>
                            <option value="28">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Boat/Yacht building</option>
                            <option value="29">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Ship repair and conversion</option>
                            <option value="30">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Metal structures</option>
                            <option value="31">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Other</option>
                            <option value="32">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Repair and maintenance service</option>
                            <option value="3">&#160;&#160;&#160;&#160;Electronics and Optics</option>
                            <option value="33">&#160;&#160;&#160;&#160;Metalworking</option>
                            <option value="34">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Construction of metal structures</option>
                            <option value="35">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Houses and buildings</option>
                            <option value="36">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Metal products</option>
                            <option value="37">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Metal works</option>
                            <option value="38">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;CNC-machining</option>
                            <option value="39">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Forgings, Fasteners </option>
                            <option value="40">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Gas, Plasma, Laser cutting</option>
                            <option value="41">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;MIG, TIG, Aluminum welding</option>
                            <option value="4">&#160;&#160;&#160;&#160;Food and Beverage</option>
                            <option value="10">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Other</option>
                            <option value="11">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Sweets &amp; snack food</option>
                            <option value="5">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Bakery &amp; confectionery products</option>
                            <option value="6">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Beverages</option>
                            <option value="7">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Fish &amp; fish products </option>
                            <option value="8">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Meat &amp; meat products</option>
                            <option value="9">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Milk &amp; dairy products </option>
                            <option value="42">&#160;&#160;&#160;&#160;Plastic and Rubber</option>
                            <option value="43">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Packaging</option>
                            <option value="44">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Plastic goods</option>
                            <option value="45">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Plastic processing technology</option>
                            <option value="46">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Blowing</option>
                            <option value="47">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Moulding</option>
                            <option value="48">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Plastics welding and processing</option>
                            <option value="49">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Plastic profiles</option>
                            <option value="50">&#160;&#160;&#160;&#160;Printing </option>
                            <option value="51">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Advertising</option>
                            <option value="52">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Book/Periodicals printing</option>
                            <option value="53">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Labelling and packaging printing</option>
                            <option value="54">&#160;&#160;&#160;&#160;Textile and Clothing</option>
                            <option value="55">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Clothing</option>
                            <option value="56">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Textile</option>
                            <option value="57">&#160;&#160;&#160;&#160;Wood</option>
                            <option value="58">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Other (Wood)</option>
                            <option value="59">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Wooden building materials</option>
                            <option value="60">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Wooden houses</option>
                            <option value="61">Other</option>
                            <option value="62">&#160;&#160;&#160;&#160;Creative industries</option>
                            <option value="63">&#160;&#160;&#160;&#160;Energy technology</option>
                            <option value="64">&#160;&#160;&#160;&#160;Environment</option>
                            <option value="65">Service</option>
                            <option value="66">&#160;&#160;&#160;&#160;Business services</option>
                            <option value="67">&#160;&#160;&#160;&#160;Engineering</option>
                            <option value="68">&#160;&#160;&#160;&#160;Information Technology and Telecommunications</option>
                            <option value="69">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Data processing, Web portals, E-marketing</option>
                            <option value="70">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Programming, Consultancy</option>
                            <option value="71">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Software, Hardware</option>
                            <option value="72">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Telecommunications</option>
                            <option value="73">&#160;&#160;&#160;&#160;Tourism</option>
                            <option value="74">&#160;&#160;&#160;&#160;Translation services</option>
                            <option value="75">&#160;&#160;&#160;&#160;Transport and Logistics</option>
                            <option value="76">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Air</option>
                            <option value="77">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Rail</option>
                            <option value="78">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Road</option>
                            <option value="79">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;Water</option>
                        </select>
                        <span class="field-validation-valid text-danger" data-valmsg-for="SectorSelectValues" data-valmsg-replace="true"></span>
                        <div class="invalid-feedback">
                            Choose at least one!
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="form-check">
                            <input class="form-check-input" data-val="true" data-val-range="Please agree to terms" data-val-range-max="True" data-val-range-min="True" data-val-required="The Agree to Terms field is required." id="isAgreeToTerms" name="isAgreeToTerms" required="required" type="checkbox" value="true" />
                            <input name="isAgreeToTerms" type="hidden" value="false" />
                            <label class="form-check-label" for="isAgreeToTerms">Agree to Terms</label>
                            <span class="field-validation-valid text-danger" data-valmsg-for="isAgreeToTerms" data-valmsg-replace="true"></span>
                            <div class="invalid-feedback">
                                Agree before submitting.
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="Save" class="btn btn-primary" />
                    </div>
                </form>

                <!-- Upload form for sector categories for testing purposes -->
                <form action="/Home/UploadFile" class="needs-validation" enctype="multipart/form-data" method="post" novalidate="novalidate">
                    <hr />
                    <h4>Upload Sectors File (Testimiseks tühja andmebaasi korral)</h4>
                    <div class="form-group">
                        <div class="custom-file">
                            <input type="file" class="custom-file-input" name="file" required>
                            <label class="custom-file-label" for="uploadFile">Choose File</label>
                        </div>
                    </div>
                    <div class="form-group">
                        <input class="btn btn-primary" type="submit" value="Upload ja Reset database" />
                    </div>
                </form>
                <!-- scripts for client-side validation using Bootstrap -->

            </div>
        </div>
        <div class="row">
            <div class="col-6">
                <hr />
                <footer>
                    <p>2020 - Helmese prooviülesanne, Priit Ahte</p>
                </footer>
            </div>
        </div>
    </div>

</body>

<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

<script>
    // Example starter JavaScript for disabling form submissions if there are invalid fields
    (function() {
        'use strict';
        window.addEventListener('load', function() {
            // Fetch all the forms we want to apply custom Bootstrap validation styles to
            var forms = document.getElementsByClassName('needs-validation');
            // Loop over them and prevent submission
            var validation = Array.prototype.filter.call(forms, function(form) {
                form.addEventListener('submit', function(event) {
                    if (form.checkValidity() === false) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                    form.classList.add('was-validated');
                }, false);
            });
        }, false);
    })();
</script>

<script>
    $(".custom-file-input").on("change", function() {
        var fileName = $(this).val().split("\\").pop();
        $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
    });
</script>

</html>
